Test Runs

Get test group run

Returns a test group run.

GET /api/public/v1/test-group-runs/{groupRunId}

Get test group run

curl --request GET \
  --url 'https://api.buildprint.ai/api/public/v1/test-group-runs/{GROUPRUNID}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "run": {
    "id": "<string>",
    "createdAt": 1,
    "groupId": "<string>",
    "groupName": "<string>",
    "status": "queued",
    "branchCacheId": "<string>",
    "branchId": "<string>",
    "branchDisplay": "<string>",
    "model": "<string>",
    "environment": "live",
    "startedAt": 1,
    "completedAt": 1
  },
  "childRuns": [
    {
      "id": "<string>",
      "createdAt": 1,
      "testId": "<string>",
      "testName": "<string>",
      "status": "queued",
      "branchCacheId": "<string>",
      "branchId": "<string>",
      "branchDisplay": "<string>",
      "model": "<string>",
      "environment": "live",
      "startedAt": 1,
      "completedAt": 1
    }
  ]
}

Group run found

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Path Parameters

  • groupRunId string required

    Test group run ID.

Response

application/json
  • run object

    Detailed state for the grouped run.

    + Show Child Attributes
    • id string

      Opaque identifier for this resource.

    • createdAt number

      Unix timestamp in milliseconds when the resource was created.

    • groupId string

      Opaque identifier for the project test group.

    • groupName string

      Human-readable name of the project test group.

    • status string enum enum

      Current lifecycle status for the resource. 6 allowed enum values.

    • branchCacheId string | null

      Opaque identifier for the cached branch record when one is available.

    • branchId string | null

      Branch identifier or slug used for the run.

    • branchDisplay string | null

      Human-readable branch name used for the run.

    • model string | null

      Model identifier used for the run.

    • environment string enum enum

      Bubble environment used by the run. Allowed values: live, test.

    • startedAt number | null

      Unix timestamp in milliseconds when the resource started running.

    • completedAt number | null

      Unix timestamp in milliseconds when the resource completed.

    • counts object

      Aggregate counts for child or step statuses.

      + Show Child Attributes
      • total number

        Total number of items included in the count.

      • queued number

        Number of items still queued.

      • running number

        Number of items currently running.

      • passed number

        Number of items that passed.

      • warning number

        Number of items that completed with warnings.

      • error number

        Number of items that failed with errors.

      • canceled number

        Number of items that were canceled.

  • childRuns[] object array

    Child test runs launched as part of the grouped run.

    + Show Child Attributes
    • id string

      Opaque identifier for this resource.

    • createdAt number

      Unix timestamp in milliseconds when the resource was created.

    • testId string

      Opaque identifier for the project test definition.

    • testName string

      Human-readable name of the test.

    • status string enum enum

      Current lifecycle status for the resource. 6 allowed enum values.

    • branchCacheId string | null

      Opaque identifier for the cached branch record when one is available.

    • branchId string | null

      Branch identifier or slug used for the run.

    • branchDisplay string | null

      Human-readable branch name used for the run.

    • model string | null

      Model identifier used for the run.

    • environment string enum enum

      Bubble environment used by the run. Allowed values: live, test.

    • startedAt number | null

      Unix timestamp in milliseconds when the resource started running.

    • completedAt number | null

      Unix timestamp in milliseconds when the resource completed.

    • assignedTestUserName string | null

      Name of the test user assigned to the run, when one is assigned.

    • groupRunId string | null

      Opaque identifier for the grouped project test run.

    • groupName string

      Human-readable name of the project test group.